Resend reward
curl --request PUT \
--url https://api-testbed.giftbit.com/papi/v1/gifts/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"resend": true
}'import requests
url = "https://api-testbed.giftbit.com/papi/v1/gifts/{uuid}"
payload = { "resend": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resend: true})
};
fetch('https://api-testbed.giftbit.com/papi/v1/gifts/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"gift": {
"uuid": "7e0ef82bc386493498f145578268f1b2",
"campaign_uuid": "f11712f1102248ea94c47bdd3ed95690",
"delivery_status": "DELIVERED",
"status": "SENT_AND_REDEEMABLE",
"redelivery_count": 1,
"recipient_email": "tim+1@giftbit.com",
"recipient_name": "tim1",
"price_in_cents": 500,
"brand_code": "itunesus",
"created_date": "2016-05-11 14:18:44",
"delivery_date": "2016-05-11 14:18:47"
},
"info": {
"code": "INFO_GIFTS_RESENT",
"name": "Gift resent",
"message": "The gift has been resent."
},
"status": 200
}Resend reward
Triggers another delivery attempt for the reward. Rewards delivered in-app via
/embedded are not eligible for resending.
PUT
/
gifts
/
{uuid}
Resend reward
Authorizations
Send your API token prefixed by Bearer in the Authorization header.
Path Parameters
The uuid of the reward. Not to be mistaken for the uuid or id of the order.
Body
application/json